%global sum	A 3D chess game inspired by Battle Chess

Name:		brutalchess
Version:	0.5.2
Release:	%mkrel 19
Summary:	%{sum}
License:	GPLv2+
Group:		Games/Boards
URL:		https://sourceforge.net/projects/brutalchess/
Source0:	%{name}-alpha-%{version}-src.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
# Fedora patches:
Patch0:         https://sf.net/p/%{name}/patches/8/attachment/%{name}-freetype2.patch
# fonts: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584416
Patch1:         https://sf.net/p/%{name}/patches/7/attachment/%{name}-fonts.diff
# PGN resembling console output, https://sourceforge.net/p/brutalchess/patches/3
Patch2:         https://sf.net/p/%{name}/patches/_discuss/thread/96f1a752/0dc4/attachment/pgn-moveprint.diff
# Fix -l option, https://sourceforge.net/p/brutalchess/patches/2
Patch3:         https://sf.net/p/%{name}/patches/_discuss/thread/b91b1843/e6b7/attachment/fix-player2opt.diff
Patch10:        https://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-fix-FTBFS.patch
Patch11:        https://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-gcc4.3.patch
Patch12:        https://slackbuilds.org/slackbuilds/14.1/games/%{name}/%{name}-%{version}-gcc4.7.patch
# Mageia patches:
Patch102:	%{name}-%{version}-use-own-fonts.patch
Patch103:	%{name}-%{version}-linkage.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	mesagl-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	freetype2-devel
BuildRequires:	desktop-file-utils
Requires:	fonts-ttf-dejavu

%description
Brutal Chess features full 3D graphics, an advanced particle engine, and
several different levels of intelligent AI, inspired by the once popular
"Battle Chess" released by Interplay circa 1988.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%make_install

# we use system default font via patch2
rm -fr %{buildroot}%{_gamesdatadir}/%{name}/fonts

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Brutal Chess
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;BoardGame;
EOF

install -m644 %{_sourcedir}/%{name}-16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{_sourcedir}/%{name}-32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{_sourcedir}/%{name}-48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png
rm -fr %{buildroot}%{_defaultdocdir}/%name

%files
%doc AUTHORS ChangeLog NEWS README
%{_gamesbindir}/%{name}
%{_libexecdir}/md3view
%{_libexecdir}/objview
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Apr 15 2020 danf <danf> 0.5.2-19.mga8
+ Revision: 1567567
- Fix Comment= in .desktop file to stop referring to debug sources
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.5.2-18.mga8
+ Revision: 1510820
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.5.2-17.mga7
+ Revision: 1295684
- Mageia 7 Mass Rebuild

* Sat Feb 13 2016 umeabot <umeabot> 0.5.2-16.mga6
+ Revision: 959632
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.5.2-15.mga6
+ Revision: 896205
- nuke doc installed by pkg
- sync patches with FC (& drop our freetype patch)
- renumber FC patches for easier syncing

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-14.mga5
+ Revision: 739724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-13.mga5
+ Revision: 678229
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 akien <akien> 0.5.2-12.mga5
+ Revision: 593972
- Add a patch to fix freetype2 includes

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-11.mga4
+ Revision: 503169
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-10.mga3
+ Revision: 347203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.5.2-9.mga3
+ Revision: 337858
- Fix for _libdir != _libexecdir

* Sat Dec 01 2012 kamil <kamil> 0.5.2-8.mga3
+ Revision: 324374
- update Group tag: Games/Board

* Sat Dec 01 2012 kamil <kamil> 0.5.2-7.mga3
+ Revision: 324349
- update URL

* Fri Nov 30 2012 pterjan <pterjan> 0.5.2-6.mga3
+ Revision: 323271
+ rebuild (emptylog)

* Thu Nov 29 2012 pterjan <pterjan> 0.5.2-5.mga3
+ Revision: 323224
- Fix build with recent gcc

* Wed Jan 11 2012 kamil <kamil> 0.5.2-5.mga2
+ Revision: 194882
- rebuild against gcc 4.6.2
- fix categories in the desktop-file
- clean spec

* Thu Sep 29 2011 fwang <fwang> 0.5.2-4.mga2
+ Revision: 150148
- fix linkage
- cleanup br

* Wed May 11 2011 dmorgan <dmorgan> 0.5.2-4.mga1
+ Revision: 97167
- imported package brutalchess

